{

 TCStatusBar 1997 by Andreas Moser
 TCStatusBar fixes a problem with the standard statusbar:
 The StatusBar of the Delphi 2.0 VCL-Lib accepts no other
 Controls.
 With TCStatusBar you can add any visual components to the statusbar

}
unit CStatBar;

interface


 uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
      ComCtrls;

type
  TCStatusBar = class(TStatusBar)
  private
  protected
  public
  constructor Create(AOwner: TComponent); override;
  destructor Destroy; override;
  published
  end;

procedure Register;

implementation

constructor TCStatusBar.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle := [csCaptureMouse, csClickEvents, csDoubleClicks,csAcceptsControls];
  end;

destructor TCStatusBar.Destroy;
begin
    inherited Destroy;
end;


procedure Register;
begin
  RegisterComponents('AM FX Pro', [TCStatusBar]);
end;

end.
